= breadcrumbs

.mb-3
  - path = {view: params[:view], filter: params[:filter]}
  = v.tab_bar do |bar|
    - bar.with_tab url: orders_path(path.merge(view: nil)),         label: 'All',      active: active(view: nil)
    - Order.states.keys.each do |view|
      - bar.with_tab url: orders_path(path.merge(view: view)),      label: view.capitalize,      active: active(view: view)

= paginate @orders

%table.table
  %tr
    %th Code
    %th Member
    %th Date
    %th.text-right Total
    %th
  - if !@orders.any?
    %tr
      %td{colspan: 5} No orders
  - else
    - @orders.each do |order|
      %tr
        %td= link_to order.code, order_path(order)
        %td= link_to (order.member&.name || "NONE"), order_path(order)
        %td= link_to order.created_at.to_date, order_path(order)
        %td= link_to display_money(order.total), order_path(order)
        %td.text-right= order_badges(order)
        -#%td
          - if order.is_shipping_required? && order.shipment.nil?
            = form_with(model: order, method: 'put') do
              %button.btn.btn-sm.btn-success{type: 'submit', name: 'command_ship_it', disabled: (!order.is_active? || !order.is_paid?)}
                = icon(:ship, "Ship")

= paginate @orders